/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 13/05/2025

Converti un file di testo in un file binario e viceversa:
1) Numeri interi (uno per ogni riga nel file di testo);
2) Numeri float (uno per ogni riga nel file edi testo);
3) Stringhe lunghe 20 (una per ogni riga nel file di testo);
4) Struct:
      - Numeri complessi (uno per ogni riga nel file di testo);
      - Libro: titolo, prezzo, nPagine.
*/

#include <iostream>

using namespace std;

typedef struct {
	float numeroReale;
	float numeroImmaginario;
} numeroComplesso;

typedef struct {
	char titolo[20+1];
	float prezzo;
	int nPagine;
} Libro;

int main(void) {
	int numeroIntero;
	float numeroFloat;
	char stringa[20+1];
	
	const char * inputFile = "interi.txt";
	const char * outputFile = "interi.bin";
	
	FILE * fileIn = fopen(inputFile, "rt");
	
	if (fileIn != NULL) {
		FILE * fileOut = fopen(outputFile, "wb");
		
		if (fileOut != NULL) {
			numeroComplesso c;
			Libro libro;
			
			fclose(fileOut);
		} else {
			perror("Error (destination)");
		}
		
		fclose(fileIn);
	} else {
		perror("Error (source)");
	}
	
	return 0;
}